Loading...
Searching...
No Matches
taylorhoodbasis.hh File Reference
`#include <dune/common/exceptions.hh>`
`#include <dune/common/reservedvector.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/lagrangebasis.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::TaylorHoodPreBasis< GV, HI >
| Pre-basis for lowest order Taylor-Hood basis. More...
class | Dune::Functions::TaylorHoodVelocityTree< GV >
class | Dune::Functions::TaylorHoodBasisTree< GV >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV>
using | Dune::Functions::TaylorHoodBasis = DefaultGlobalBasis<TaylorHoodPreBasis<GV> >
| Nodal basis for a lowest order Taylor-Hood Lagrangean finite element space.

## Functions

auto | Dune::Functions::BasisFactory::taylorHood ()
| Create a pre-basis factory that can create a Taylor-Hood pre-basis.